javax.faces.flow.builder

## Class NavigationCaseBuilder

- java.lang.Object
- - javax.faces.flow.builder.NavigationCaseBuilder

-     public abstract class NavigationCaseBuilder
      extends Object

  Create a navigation case in the current `Flow`.

  Since:
    2.2

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `NavigationCaseBuilder.RedirectBuilder` Allows populating the redirect with parameters and setting the includeViewParams option.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NavigationCaseBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract NavigationCaseBuilder` | `condition(String condition)` Set the if of the current navigation case.
    `abstract NavigationCaseBuilder` | `condition(ValueExpression condition)` Set the if of the current navigation case.
    `abstract NavigationCaseBuilder` | `fromAction(String fromAction)` Set the from-action of the current navigation case.
    `abstract NavigationCaseBuilder` | `fromOutcome(String fromOutcome)` Set the from-outcome of the current navigation case.
    `abstract NavigationCaseBuilder` | `fromViewId(String fromViewId)` Set the from-view-id of the current navigation case.
    `abstract NavigationCaseBuilder.RedirectBuilder` | `redirect()` Create a redirect within this navigation case.
    `abstract NavigationCaseBuilder` | `toFlowDocumentId(String toFlowDocumentId)` Set the to-flow-document-id of the current navigation case.
    `abstract NavigationCaseBuilder` | `toViewId(String toViewId)` Set the to-view-id of the current navigation case.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NavigationCaseBuilder

          public NavigationCaseBuilder()

  - ### Method Detail

    - #### fromViewId

          public abstract NavigationCaseBuilder fromViewId(String fromViewId)

      Set the from-view-id of the current navigation case.

      Parameters:
        `fromViewId` - the from-view-id
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### fromAction

          public abstract NavigationCaseBuilder fromAction(String fromAction)

      Set the from-action of the current navigation case.

      Parameters:
        `fromAction` - the from-action
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### fromOutcome

          public abstract NavigationCaseBuilder fromOutcome(String fromOutcome)

      Set the from-outcome of the current navigation case.

      Parameters:
        `fromOutcome` - the from-outcome
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### toViewId

          public abstract NavigationCaseBuilder toViewId(String toViewId)

      Set the to-view-id of the current navigation case.

      Parameters:
        `toViewId` - the to-view-id
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### toFlowDocumentId

          public abstract NavigationCaseBuilder toFlowDocumentId(String toFlowDocumentId)

      Set the to-flow-document-id of the current navigation case.

      Parameters:
        `toFlowDocumentId` - the to-flow-document-id
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### condition

          public abstract NavigationCaseBuilder condition(String condition)

      Set the if of the current navigation case.

      Parameters:
        `condition` - the
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### condition

          public abstract NavigationCaseBuilder condition(ValueExpression condition)

      Set the if of the current navigation case.

      Parameters:
        `condition` - the
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### redirect

          public abstract NavigationCaseBuilder.RedirectBuilder redirect()

      Create a redirect within this navigation case.

      Since:
        2.2

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.